## Connection and Channel Anonymity interfaces

Connection and Channel Anonymity interfaces — client-side wrappers for the Anonymity interfaces

## Functions

TpProxySignalConnection * | tp_cli_connection_interface_anonymity_connect_to_anonymity_modes_changed ()
void | (*tp_cli_connection_interface_anonymity_signal_callback_anonymity_modes_changed) ()

## Includes

    #include <telepathy-glib/telepathy-glib-dbus.h>

## Description

In some protocols, mainly those that interact with the PSTN, it's possible to make a call without disclosing the originating identity (e.g. phone number). The Anonymity interfaces on the Connection and Channel can be used to control this feature in Telepathy.

This section documents the auto-generated C wrappers for the Anonymity interfaces, used with TpConnection and TpChannel objects.

## Functions

### tp_cli_connection_interface_anonymity_connect_to_anonymity_modes_changed ()

    TpProxySignalConnection *
    tp_cli_connection_interface_anonymity_connect_to_anonymity_modes_changed
                                   (TpConnection *proxy,
                                    tp_cli_connection_interface_anonymity_signal_callback_anonymity_modes_changed callback,
                                    gpointer user_data,
                                    GDestroyNotify destroy,
                                    GObject *weak_object,
                                    GError **error);

Connect a handler to the signal AnonymityModesChanged.

Emitted when the anonymity mode has changed.

#### Parameters

proxy | A TpConnection or subclass |
callback | Callback to be called when the signal is received |
user_data | User-supplied data for the callback |
destroy | Destructor for the user-supplied data, which will be called when this signal is disconnected, or before this function returns `NULL` |
weak_object | A GObject which will be weakly referenced; if it is destroyed, this callback will automatically be disconnected |
error | If not `NULL`, used to raise an error if `NULL` is returned |

#### Returns

a TpProxySignalConnection containing all of the above, which can be used to disconnect the signal; or `NULL` if the proxy does not have the desired interface or has become invalid.

### tp_cli_connection_interface_anonymity_signal_callback_anonymity_modes_changed ()

    void
    (*tp_cli_connection_interface_anonymity_signal_callback_anonymity_modes_changed)
                                   (TpConnection *proxy,
                                    guint arg_Modes,
                                    gpointer user_data,
                                    GObject *weak_object);

Represents the signature of a callback for the signal AnonymityModesChanged.

#### Parameters

proxy | The proxy on which `tp_cli_connection_interface_anonymity_connect_to_anonymity_modes_changed()` was called |
arg_Modes | The new anonymity modes for this connection. (TpAnonymityModeFlags) |
user_data | User-supplied data |
weak_object | User-supplied weakly referenced object |

## See Also

TpConnection, TpChannel